diff --git a/src/types/generatedManagerTypes.ts b/src/types/generatedManagerTypes.ts
index 282750218..65266b416 100644
--- a/src/types/generatedManagerTypes.ts
+++ b/src/types/generatedManagerTypes.ts
@@ -1896,43 +1686,220 @@ export interface components {
       /** @description Source mode */
       mode?: string
     }
-    ModelMetadata: {
-      /** @description Name of the model */
-      name?: string
-      /** @description Type of model */
-      type?: string
-      /** @description Base model type */
-      base?: string
-      /** @description Path for saving the model */
-      save_path?: string
-      /** @description Download URL */
-      url?: string
-      /** @description Target filename */
-      filename?: string
-      /** @description ID for UI reference */
-      ui_id?: string
-    }
     /** @description Name of the snapshot */
     SnapshotItem: string
-    QueueStatus: {
-      /** @description Total number of tasks */
-      total_count?: number
-      /** @description Number of completed tasks */
-      done_count?: number
-      /** @description Number of tasks in progress */
-      in_progress_count?: number
-      /** @description Whether the queue is currently processing */
-      is_processing?: boolean
+    Error: {
+      /** @description Error message */
+      error: string
     }
+    /** @description Map of pack names to their installation info */
+    InstalledPacksResponse: {
+      [key: string]: components['schemas']['ManagerPackInstalled']
+    }
+    HistoryResponse: {
+      /** @description Map of task IDs to their history items */
+      history?: {
+        [key: string]: components['schemas']['TaskHistoryItem']
+      }
+    }
+    HistoryListResponse: {
+      /** @description List of available batch history IDs */
+      ids?: string[]
+    }
+    InstalledNodeInfo: {
+      /** @description Node package name */
+      name: string
+      /** @description Installed version */
+      version: string
+      /** @description Git repository URL */
+      repository_url?: string | null
+      /** @description Installation method (cnr, git, pip, etc.) */
+      install_method: string
+      /**
+       * @description Whether the node is currently enabled
+       * @default true
+       */
+      enabled: boolean
+      /**
+       * Format: date-time
+       * @description ISO timestamp of installation
+       */
+      install_date?: string | null
+    }
+    InstalledModelInfo: {
+      /** @description Model filename */
+      name: string
+      /** @description Full path to model file */
+      path: string
+      /** @description Model type (checkpoint, lora, vae, etc.) */
+      type: string
+      /** @description File size in bytes */
+      size_bytes?: number | null
+      /** @description Model file hash for verification */
+      hash?: string | null
+      /**
+       * Format: date-time
+       * @description ISO timestamp when added
+       */
+      install_date?: string | null
+    }
+    ComfyUIVersionInfo: {
+      /** @description ComfyUI version string */
+      version: string
+      /** @description Git commit hash */
+      commit_hash?: string | null
+      /** @description Git branch name */
+      branch?: string | null
+      /**
+       * @description Whether this is a stable release
+       * @default false
+       */
+      is_stable: boolean
+      /**
+       * Format: date-time
+       * @description ISO timestamp of last update
+       */
+      last_updated?: string | null
+    }
+    BatchOperation: {
+      /** @description Unique operation identifier */
+      operation_id: string
+      /**
+       * @description Type of operation
+       * @enum {string}
+       */
+      operation_type:
+        | 'install'
+        | 'update'
+        | 'uninstall'
+        | 'fix'
+        | 'disable'
+        | 'enable'
+        | 'install-model'
+      /** @description Target of the operation (node name, model name, etc.) */
+      target: string
+      /** @description Target version for the operation */
+      target_version?: string | null
+      /**
+       * @description Operation result
+       * @enum {string}
+       */
+      result: 'success' | 'failed' | 'skipped'
+      /** @description Error message if operation failed */
+      error_message?: string | null
+      /**
+       * Format: date-time
+       * @description ISO timestamp when operation started
+       */
+      start_time: string
+      /**
+       * Format: date-time
+       * @description ISO timestamp when operation completed
+       */
+      end_time?: string | null
+      /** @description Client that initiated the operation */
+      client_id?: string | null
+    }
+    ComfyUISystemState: {
+      /**
+       * Format: date-time
+       * @description ISO timestamp when snapshot was taken
+       */
+      snapshot_time: string
+      comfyui_version: components['schemas']['ComfyUIVersionInfo']
+      /** @description ComfyUI frontend version if available */
+      frontend_version?: string | null
+      /** @description Python interpreter version */
+      python_version: string
+      /** @description Operating system and platform information */
+      platform_info: string
+      /** @description Map of installed node packages by name */
+      installed_nodes?: {
+        [key: string]: components['schemas']['InstalledNodeInfo']
+      }
+      /** @description Map of installed models by name */
+      installed_models?: {
+        [key: string]: components['schemas']['InstalledModelInfo']
+      }
+      /** @description ComfyUI Manager configuration settings */
+      manager_config?: {
+        [key: string]: unknown
+      }
+    }
+    BatchExecutionRecord: {
+      /** @description Unique batch identifier */
+      batch_id: string
+      /**
+       * Format: date-time
+       * @description ISO timestamp when batch started
+       */
+      start_time: string
+      /**
+       * Format: date-time
+       * @description ISO timestamp when batch completed
+       */
+      end_time?: string | null
+      state_before: components['schemas']['ComfyUISystemState']
+      /** @description System state after batch execution */
+      state_after?: components['schemas']['ComfyUISystemState']
+      /** @description List of operations performed in this batch */
+      operations?: components['schemas']['BatchOperation'][]
+      /**
+       * @description Total number of operations in batch
+       * @default 0
+       */
+      total_operations: number
+      /**
+       * @description Number of successful operations
+       * @default 0
+       */
+      successful_operations: number
+      /**
+       * @description Number of failed operations
+       * @default 0
+       */
+      failed_operations: number
+      /**
+       * @description Number of skipped operations
+       * @default 0
+       */
+      skipped_operations: number
+    }
+    ImportFailInfoBulkRequest: {
+      /** @description A list of CNR IDs to check. */
+      cnr_ids?: string[]
+      /** @description A list of repository URLs to check. */
+      urls?: string[]
+    }
+    /** @description A dictionary where each key is a cnr_id or url from the request, and the value is the corresponding error info. */
+    ImportFailInfoBulkResponse: {
+      [key: string]: components['schemas']['ImportFailInfoItem']
+    }
+    ImportFailInfoItem: {
+      error?: string
+      traceback?: string
+    } | null
   }
   responses: never
   parameters: {
     /** @description Source mode (e.g., "local", "remote") */
-    modeParam: 'local' | 'remote' | 'default'
+    modeParam: components['schemas']['ManagerDatabaseSource']
     /** @description Target identifier */
     targetParam: string
     /** @description New value to set */
     valueParam: string
+    /** @description Client ID for filtering tasks */
+    clientIdParam: string
+    /** @description Specific task ID to retrieve */
+    uiIdParam: string
+    /** @description Required client ID that initiated the request */
+    clientIdRequiredParam: string
+    /** @description Required unique task identifier */
+    uiIdRequiredParam: string
+    /** @description Maximum number of items to return */
+    maxItemsParam: number
+    /** @description Offset for pagination */
+    offsetParam: number
   }
   requestBodies: never
   headers: never
diff --git a/src/types/importFailedTypes.ts b/src/types/importFailedTypes.ts
new file mode 100644
index 000000000..d12bb1427
--- /dev/null
+++ b/src/types/importFailedTypes.ts
@@ -0,0 +1,9 @@
+import type { ComputedRef, InjectionKey } from 'vue'
+
+export interface ImportFailedContext {
+  importFailed: ComputedRef<boolean>
+  showImportFailedDialog: () => void
+}
+
+export const ImportFailedKey: InjectionKey<ImportFailedContext> =
+  Symbol('ImportFailed')
diff --git a/src/utils/conflictMessageUtil.ts b/src/utils/conflictMessageUtil.ts
new file mode 100644
index 000000000..2fa913371
--- /dev/null
+++ b/src/utils/conflictMessageUtil.ts
@@ -0,0 +1,62 @@
+import type { ConflictDetail } from '@/types/conflictDetectionTypes'
+
+/**
+ * Generates a localized conflict message for a given conflict detail.
+ * This function should be used anywhere conflict messages need to be displayed.
+ *
+ * @param conflict The conflict detail object
+ * @param t The i18n translation function
+ * @returns A localized conflict message string
+ */
+export function getConflictMessage(
+  conflict: ConflictDetail,
+  t: (key: string, params?: Record<string, any>) => string
+): string {
+  const messageKey = `manager.conflicts.conflictMessages.${conflict.type}`
+
+  // For version and compatibility conflicts, use interpolated message
+  if (
+    conflict.type === 'comfyui_version' ||
+    conflict.type === 'frontend_version' ||
+    conflict.type === 'os' ||
+    conflict.type === 'accelerator'
+  ) {
+    return t(messageKey, {
+      current: conflict.current_value,
+      required: conflict.required_value
+    })
+  }
+
+  // For banned, pending, and import_failed, use simple message
+  if (
+    conflict.type === 'banned' ||
+    conflict.type === 'pending' ||
+    conflict.type === 'import_failed'
+  ) {
+    return t(messageKey)
+  }
+
+  // Fallback to generic message with interpolation
+  return t('manager.conflicts.conflictMessages.generic', {
+    current: conflict.current_value,
+    required: conflict.required_value
+  })
+}
+
+/**
+ * Generates conflict messages for multiple conflicts and joins them.
+ *
+ * @param conflicts Array of conflict details
+ * @param t The i18n translation function
+ * @param separator The separator to use when joining messages (default: '; ')
+ * @returns A single string with all conflict messages joined
+ */
+export function getJoinedConflictMessages(
+  conflicts: ConflictDetail[],
+  t: (key: string, params?: Record<string, any>) => string,
+  separator = '; '
+): string {
+  return conflicts
+    .map((conflict) => getConflictMessage(conflict, t))
+    .join(separator)
+}
diff --git a/src/utils/versionUtil.ts b/src/utils/versionUtil.ts
new file mode 100644
index 000000000..2688b234f
--- /dev/null
+++ b/src/utils/versionUtil.ts
@@ -0,0 +1,111 @@
+import * as semver from 'semver'
+
+import type {
+  ConflictDetail,
+  ConflictType
+} from '@/types/conflictDetectionTypes'
+
+/**
+ * Cleans a version string by removing common prefixes and normalizing format
+ * @param version Raw version string (e.g., "v1.2.3", "1.2.3-alpha")
+ * @returns Cleaned version string or original if cleaning fails
+ */
+export function cleanVersion(version: string): string {
+  return semver.clean(version) || version
+}
+
+/**
+ * Checks if a version satisfies a version range
+ * @param version Current version
+ * @param range Version range (e.g., ">=1.0.0", "^1.2.0", "1.0.0 - 2.0.0")
+ * @returns true if version satisfies the range
+ */
+export function satisfiesVersion(version: string, range: string): boolean {
+  try {
+    const cleanedVersion = cleanVersion(version)
+    return semver.satisfies(cleanedVersion, range)
+  } catch {
+    return false
+  }
+}
+
+/**
+ * Compares two versions and returns the difference type
+ * @param version1 First version
+ * @param version2 Second version
+ * @returns Difference type or null if comparison fails
+ */
+export function getVersionDifference(
+  version1: string,
+  version2: string
+): semver.ReleaseType | null {
+  try {
+    const clean1 = cleanVersion(version1)
+    const clean2 = cleanVersion(version2)
+    return semver.diff(clean1, clean2)
+  } catch {
+    return null
+  }
+}
+
+/**
+ * Checks if a version is valid according to semver
+ * @param version Version string to validate
+ * @returns true if version is valid
+ */
+export function isValidVersion(version: string): boolean {
+  return semver.valid(version) !== null
+}
+
+/**
+ * Checks version compatibility and returns conflict details.
+ * Supports all semver ranges including >=, <=, >, <, ~, ^ operators.
+ * @param type Conflict type (e.g., 'comfyui_version', 'frontend_version')
+ * @param currentVersion Current version string
+ * @param supportedVersion Required version range string
+ * @returns ConflictDetail object if incompatible, null if compatible
+ */
+export function utilCheckVersionCompatibility(
+  type: ConflictType,
+  currentVersion: string,
+  supportedVersion: string
+): ConflictDetail | null {
+  // If current version is unknown, assume compatible (no conflict)
+  if (!currentVersion || currentVersion === 'unknown') {
+    return null
+  }
+
+  // If no version requirement specified, assume compatible (no conflict)
+  if (!supportedVersion || supportedVersion.trim() === '') {
+    return null
+  }
+
+  try {
+    // Clean the current version using semver utilities
+    const cleanCurrent = cleanVersion(currentVersion)
+
+    // Check version compatibility using semver library
+    const isCompatible = satisfiesVersion(cleanCurrent, supportedVersion)
+
+    if (!isCompatible) {
+      return {
+        type,
+        current_value: currentVersion,
+        required_value: supportedVersion
+      }
+    }
+
+    return null
+  } catch (error) {
+    console.warn(
+      `[VersionUtil] Failed to parse version requirement: ${supportedVersion}`,
+      error
+    )
+    // On error, assume incompatible to be safe
+    return {
+      type,
+      current_value: currentVersion,
+      required_value: supportedVersion
+    }
+  }
+}
diff --git a/tailwind.config.js b/tailwind.config.js
index 9c809eaa8..c5824f2e8 100644
--- a/tailwind.config.js
+++ b/tailwind.config.js
@@ -178,6 +178,20 @@ export default {
           800: '#9c4221',
           900: '#7b341e',
           950: '#431407'
+        },
+
+        yellow: {
+          50: '#fffef5',
+          100: '#fffce8',
+          200: '#fff8c5',
+          300: '#fff197',
+          400: '#ffcc00',
+          500: '#ffc000',
+          600: '#e6a800',
+          700: '#cc9600',
+          800: '#b38400',
+          900: '#997200',
+          950: '#664d00'
         }
       },
 
diff --git a/tests-ui/tests/components/dialog/content/manager/NodeConflictDialogContent.test.ts b/tests-ui/tests/components/dialog/content/manager/NodeConflictDialogContent.test.ts
new file mode 100644
index 000000000..65c3a2fe9
--- /dev/null
+++ b/tests-ui/tests/components/dialog/content/manager/NodeConflictDialogContent.test.ts
@@ -0,0 +1,455 @@
+import { mount } from '@vue/test-utils'
+import { createPinia, setActivePinia } from 'pinia'
+import Button from 'primevue/button'
+import { beforeEach, describe, expect, it, vi } from 'vitest'
+import { computed, ref } from 'vue'
+
+import NodeConflictDialogContent from '@/components/dialog/content/manager/NodeConflictDialogContent.vue'
+import type { ConflictDetectionResult } from '@/types/conflictDetectionTypes'
+
+// Mock getConflictMessage utility
+vi.mock('@/utils/conflictMessageUtil', () => ({
+  getConflictMessage: vi.fn((conflict) => {
+    return `${conflict.type}: ${conflict.current_value} vs ${conflict.required_value}`
+  })
+}))
+
+// Mock dependencies
+vi.mock('vue-i18n', () => ({
+  useI18n: vi.fn(() => ({
+    t: vi.fn((key: string) => {
+      const translations: Record<string, string> = {
+        'manager.conflicts.description': 'Some extensions are not compatible',
+        'manager.conflicts.info': 'Additional info about conflicts',
+        'manager.conflicts.conflicts': 'Conflicts',
+        'manager.conflicts.extensionAtRisk': 'Extensions at Risk',
+        'manager.conflicts.importFailedExtensions': 'Import Failed Extensions'
+      }
+      return translations[key] || key
+    })
+  }))
+}))
+
+// Mock data for conflict detection
+const mockConflictData = ref<ConflictDetectionResult[]>([])
+
+// Mock useConflictDetection composable
+vi.mock('@/composables/useConflictDetection', () => ({
+  useConflictDetection: () => ({
+    conflictedPackages: computed(() => mockConflictData.value)
+  })
+}))
+
+describe('NodeConflictDialogContent', () => {
+  let pinia: ReturnType<typeof createPinia>
+
+  beforeEach(() => {
+    vi.clearAllMocks()
+    pinia = createPinia()
+    setActivePinia(pinia)
+    // Reset mock data
+    mockConflictData.value = []
+  })
+
+  const createWrapper = (props = {}) => {
+    return mount(NodeConflictDialogContent, {
+      props,
+      global: {
+        plugins: [pinia],
+        components: {
+          Button
+        },
+        stubs: {
+          ContentDivider: true
+        },
+        mocks: {
+          $t: vi.fn((key: string) => {
+            const translations: Record<string, string> = {
+              'manager.conflicts.description':
+                'Some extensions are not compatible',
+              'manager.conflicts.info': 'Additional info about conflicts',
+              'manager.conflicts.conflicts': 'Conflicts',
+              'manager.conflicts.extensionAtRisk': 'Extensions at Risk',
+              'manager.conflicts.importFailedExtensions':
+                'Import Failed Extensions'
+            }
+            return translations[key] || key
+          })
+        }
+      }
+    })
+  }
+
+  const mockConflictResults: ConflictDetectionResult[] = [
+    {
+      package_id: 'Package1',
+      package_name: 'Test Package 1',
+      has_conflict: true,
+      is_compatible: false,
+      conflicts: [
+        {
+          type: 'os',
+          current_value: 'macOS',
+          required_value: 'Windows'
+        },
+        {
+          type: 'accelerator',
+          current_value: 'Metal',
+          required_value: 'CUDA'
+        }
+      ]
+    },
+    {
+      package_id: 'Package2',
+      package_name: 'Test Package 2',
+      has_conflict: true,
+      is_compatible: false,
+      conflicts: [
+        {
+          type: 'banned',
+          current_value: 'installed',
+          required_value: 'not_banned'
+        }
+      ]
+    },
+    {
+      package_id: 'Package3',
+      package_name: 'Test Package 3',
+      has_conflict: true,
+      is_compatible: false,
+      conflicts: [
+        {
+          type: 'import_failed',
+          current_value: 'installed',
+          required_value: 'ModuleNotFoundError: No module named "example"'
+        }
+      ]
+    }
+  ]
+
+  describe('rendering', () => {
+    it('should render without conflicts', () => {
+      // Set empty conflict data
+      mockConflictData.value = []
+
+      const wrapper = createWrapper()
+
+      expect(wrapper.text()).toContain('0')
+      expect(wrapper.text()).toContain('Conflicts')
+      expect(wrapper.text()).toContain('Extensions at Risk')
+      expect(wrapper.find('[class*="Import Failed Extensions"]').exists()).toBe(
+        false
+      )
+    })
+
+    it('should render with conflict data from composable', () => {
+      // Set conflict data
+      mockConflictData.value = mockConflictResults
+
+      const wrapper = createWrapper()
+
+      // Should show 3 total conflicts (2 from Package1 + 1 from Package2, excluding import_failed)
+      expect(wrapper.text()).toContain('3')
+      expect(wrapper.text()).toContain('Conflicts')
+      // Should show 3 extensions at risk (all packages)
+      expect(wrapper.text()).toContain('Extensions at Risk')
+      // Should show import failed section
+      expect(wrapper.text()).toContain('Import Failed Extensions')
+      expect(wrapper.text()).toContain('1') // 1 import failed package
+    })
+
+    it('should show description when showAfterWhatsNew is true', () => {
+      const wrapper = createWrapper({
+        showAfterWhatsNew: true
+      })
+
+      expect(wrapper.text()).toContain('Some extensions are not compatible')
+      expect(wrapper.text()).toContain('Additional info about conflicts')
+    })
+
+    it('should not show description when showAfterWhatsNew is false', () => {
+      const wrapper = createWrapper({
+        showAfterWhatsNew: false
+      })
+
+      expect(wrapper.text()).not.toContain('Some extensions are not compatible')
+      expect(wrapper.text()).not.toContain('Additional info about conflicts')
+    })
+
+    it('should separate import_failed conflicts into separate section', () => {
+      mockConflictData.value = mockConflictResults
+
+      const wrapper = createWrapper()
+
+      // Import Failed Extensions section should show 1 package
+      const importFailedSection = wrapper.findAll(
+        '.w-full.flex.flex-col.bg-neutral-200'
+      )[0]
+      expect(importFailedSection.text()).toContain('1')
+      expect(importFailedSection.text()).toContain('Import Failed Extensions')
+
+      // Conflicts section should show 3 conflicts (excluding import_failed)
+      const conflictsSection = wrapper.findAll(
+        '.w-full.flex.flex-col.bg-neutral-200'
+      )[1]
+      expect(conflictsSection.text()).toContain('3')
+      expect(conflictsSection.text()).toContain('Conflicts')
+    })
+  })
+
+  describe('panel interactions', () => {
+    beforeEach(() => {
+      mockConflictData.value = mockConflictResults
+    })
+
+    it('should toggle import failed panel', async () => {
+      const wrapper = createWrapper()
+
+      // Find import failed panel header (first one)
+      const importFailedHeader = wrapper.find('.w-full.h-8.flex.items-center')
+
+      // Initially collapsed
+      expect(
+        wrapper.find('[class*="py-2 px-4 flex flex-col gap-2.5"]').exists()
+      ).toBe(false)
+
+      // Click to expand import failed panel
+      await importFailedHeader.trigger('click')
+
+      // Should be expanded now and show package name
+      const expandedContent = wrapper.find(
+        '[class*="py-2 px-4 flex flex-col gap-2.5"]'
+      )
+      expect(expandedContent.exists()).toBe(true)
+      expect(expandedContent.text()).toContain('Test Package 3')
+
+      // Should show chevron-down icon when expanded
+      const chevronButton = wrapper.findComponent(Button)
+      expect(chevronButton.props('icon')).toContain('pi-chevron-down')
+    })
+
+    it('should toggle conflicts panel', async () => {
+      const wrapper = createWrapper()
+
+      // Find conflicts panel header (second one)
+      const conflictsHeader = wrapper.findAll(
+        '.w-full.h-8.flex.items-center'
+      )[1]
+
+      // Click to expand conflicts panel
+      await conflictsHeader.trigger('click')
+
+      // Should be expanded now
+      const conflictItems = wrapper.findAll('.conflict-list-item')
+      expect(conflictItems.length).toBeGreaterThan(0)
+    })
+
+    it('should toggle extensions panel', async () => {
+      const wrapper = createWrapper()
+
+      // Find extensions panel header (third one)
+      const extensionsHeader = wrapper.findAll(
+        '.w-full.h-8.flex.items-center'
+      )[2]
+
+      // Click to expand extensions panel
+      await extensionsHeader.trigger('click')
+
+      // Should be expanded now and show all package names
+      const expandedContent = wrapper.findAll(
+        '[class*="py-2 px-4 flex flex-col gap-2.5"]'
+      )[0]
+      expect(expandedContent.exists()).toBe(true)
+      expect(expandedContent.text()).toContain('Test Package 1')
+      expect(expandedContent.text()).toContain('Test Package 2')
+      expect(expandedContent.text()).toContain('Test Package 3')
+    })
+
+    it('should collapse other panels when opening one', async () => {
+      const wrapper = createWrapper()
+
+      const importFailedHeader = wrapper.findAll(
+        '.w-full.h-8.flex.items-center'
+      )[0]
+      const conflictsHeader = wrapper.findAll(
+        '.w-full.h-8.flex.items-center'
+      )[1]
+      const extensionsHeader = wrapper.findAll(
+        '.w-full.h-8.flex.items-center'
+      )[2]
+
+      // Open import failed panel first
+      await importFailedHeader.trigger('click')
+
+      // Verify import failed panel is open
+      expect((wrapper.vm as any).importFailedExpanded).toBe(true)
+      expect((wrapper.vm as any).conflictsExpanded).toBe(false)
+      expect((wrapper.vm as any).extensionsExpanded).toBe(false)
+
+      // Open conflicts panel
+      await conflictsHeader.trigger('click')
+
+      // Verify conflicts panel is open and others are closed
+      expect((wrapper.vm as any).importFailedExpanded).toBe(false)
+      expect((wrapper.vm as any).conflictsExpanded).toBe(true)
+      expect((wrapper.vm as any).extensionsExpanded).toBe(false)
+
+      // Open extensions panel
+      await extensionsHeader.trigger('click')
+
+      // Verify extensions panel is open and others are closed
+      expect((wrapper.vm as any).importFailedExpanded).toBe(false)
+      expect((wrapper.vm as any).conflictsExpanded).toBe(false)
+      expect((wrapper.vm as any).extensionsExpanded).toBe(true)
+    })
+  })
+
+  describe('conflict display', () => {
+    beforeEach(() => {
+      mockConflictData.value = mockConflictResults
+    })
+
+    it('should display individual conflict details excluding import_failed', async () => {
+      const wrapper = createWrapper()
+
+      // Expand conflicts panel (second header)
+      const conflictsHeader = wrapper.findAll(
+        '.w-full.h-8.flex.items-center'
+      )[1]
+      await conflictsHeader.trigger('click')
+
+      // Should display conflict messages (excluding import_failed)
+      const conflictItems = wrapper.findAll('.conflict-list-item')
+      expect(conflictItems).toHaveLength(3) // 2 from Package1 + 1 from Package2
+    })
+
+    it('should display import failed packages separately', async () => {
+      const wrapper = createWrapper()
+
+      // Expand import failed panel (first header)
+      const importFailedHeader = wrapper.findAll(
+        '.w-full.h-8.flex.items-center'
+      )[0]
+      await importFailedHeader.trigger('click')
+
+      // Should display only import failed package
+      const importFailedItems = wrapper.findAll('.conflict-list-item')
+      expect(importFailedItems).toHaveLength(1)
+      expect(importFailedItems[0].text()).toContain('Test Package 3')
+    })
+
+    it('should display all package names in extensions list', async () => {
+      const wrapper = createWrapper()
+
+      // Expand extensions panel (third header)
+      const extensionsHeader = wrapper.findAll(
+        '.w-full.h-8.flex.items-center'
+      )[2]
+      await extensionsHeader.trigger('click')
+
+      // Should display all package names
+      expect(wrapper.text()).toContain('Test Package 1')
+      expect(wrapper.text()).toContain('Test Package 2')
+      expect(wrapper.text()).toContain('Test Package 3')
+    })
+  })
+
+  describe('empty states', () => {
+    it('should handle empty conflicts gracefully', () => {
+      mockConflictData.value = []
+      const wrapper = createWrapper()
+
+      expect(wrapper.text()).toContain('0')
+      expect(wrapper.text()).toContain('Conflicts')
+      expect(wrapper.text()).toContain('Extensions at Risk')
+      // Import failed section should not be visible when there are no import failures
+      expect(wrapper.text()).not.toContain('Import Failed Extensions')
+    })
+
+    it('should handle conflicts without import_failed', () => {
+      // Only set packages without import_failed conflicts
+      mockConflictData.value = [mockConflictResults[0], mockConflictResults[1]]
+      const wrapper = createWrapper()
+
+      expect(wrapper.text()).toContain('3') // conflicts count
+      expect(wrapper.text()).toContain('2') // extensions count
+      // Import failed section should not be visible
+      expect(wrapper.text()).not.toContain('Import Failed Extensions')
+    })
+  })
+
+  describe('scrolling behavior', () => {
+    it('should apply scrollbar styles to all expandable lists', async () => {
+      mockConflictData.value = mockConflictResults
+      const wrapper = createWrapper()
+
+      // Test all three panels
+      const headers = wrapper.findAll('.w-full.h-8.flex.items-center')
+
+      for (let i = 0; i < headers.length; i++) {
+        await headers[i].trigger('click')
+
+        // Check for scrollable container with proper classes
+        const scrollableContainer = wrapper.find(
+          '[class*="max-h-"][class*="overflow-y-auto"][class*="scrollbar-hide"]'
+        )
+        expect(scrollableContainer.exists()).toBe(true)
+
+        // Close the panel for next iteration
+        await headers[i].trigger('click')
+      }
+    })
+  })
+
+  describe('accessibility', () => {
+    it('should have proper button roles and labels', () => {
+      mockConflictData.value = mockConflictResults
+      const wrapper = createWrapper()
+
+      const buttons = wrapper.findAllComponents(Button)
+      expect(buttons.length).toBe(3) // 3 chevron buttons
+
+      // Check chevron buttons have icons
+      buttons.forEach((button) => {
+        expect(button.props('icon')).toBeDefined()
+        expect(button.props('icon')).toMatch(/pi-chevron-(right|down)/)
+      })
+    })
+
+    it('should have clickable panel headers', () => {
+      mockConflictData.value = mockConflictResults
+      const wrapper = createWrapper()
+
+      const headers = wrapper.findAll('.w-full.h-8.flex.items-center')
+      expect(headers).toHaveLength(3) // import failed, conflicts and extensions headers
+
+      headers.forEach((header) => {
+        expect(header.element.tagName).toBe('DIV')
+      })
+    })
+  })
+
+  describe('es-toolkit optimization', () => {
+    it('should efficiently filter conflicts using es-toolkit', () => {
+      mockConflictData.value = mockConflictResults
+      const wrapper = createWrapper()
+
+      // Verify that import_failed conflicts are filtered out from main conflicts
+      const vm = wrapper.vm as any
+      expect(vm.allConflictDetails).toHaveLength(3) // Should not include import_failed
+      expect(
+        vm.allConflictDetails.every((c: any) => c.type !== 'import_failed')
+      ).toBe(true)
+    })
+
+    it('should efficiently extract import failed packages using es-toolkit', () => {
+      mockConflictData.value = mockConflictResults
+      const wrapper = createWrapper()
+
+      // Verify that only import_failed packages are extracted
+      const vm = wrapper.vm as any
+      expect(vm.importFailedConflicts).toHaveLength(1)
+      expect(vm.importFailedConflicts[0]).toBe('Test Package 3')
+    })
+  })
+})
